> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mezmo.ferndocs.com/api-reference/log-analysis/exclusions/patch-v-1-config-exclusions-single/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mezmo.ferndocs.com/_mcp/server. # Update Exclusion Rule PATCH https://api.mezmo.com/v1/config/ingestion/exclusions/{id} Content-Type: application/json Updates an existing exclusion rule Reference: https://mezmo.ferndocs.com/api-reference/log-analysis/exclusions/patch-v-1-config-exclusions-single ## Authentication - `Authorization` header (required) — This key is used for all apis with the exception of ingest. You can obtain it following [these instructions](https://docs.mezmo.com/docs/ingestion-key) and placing the key in the header of your call in the format of `Authorization: Token {accesstoken}` For example: ``` curl -H 'Authorization: Token ' ``` - `servicekey` header (required) — (Deprecated) This key is used for v1 and v2 apis with the exception of ingest. Service keys can be used by placing your service key in the `Authorization` header of your api call. *NOTE* Usage of the service key auth mechanism has been deprecated in favor of IAM Access Tokens. Service keys can no longer be created, but can still be used for v1 and v2 apis while the transition takes place ## Request ### Path parameters - `id` (string, required) — ID of an exclusion rule. ### Body (application/json) This endpoint expects a streamExclusionRequest. - `title` (string, required) - `hosts` (list of string, optional) - `apps` (list of string, optional) - `active` (boolean, optional, default: false) - `indexonly` (boolean, optional, default: true) - `query` (string, optional) — Search query. - `id` (string, optional) ## Response ### 200 OK - `title` (string, required) - `hosts` (list of string, optional) - `apps` (list of string, optional) - `active` (boolean, optional, default: false) - `indexonly` (boolean, optional, default: true) - `query` (string, optional) — Search query. - `id` (string, optional) ## Examples **Request** ```json { "title": "Exclude debug logs from payment-service" } ``` **Response** ```json { "title": "Exclude debug logs from payment-service", "hosts": [ "logs.acme-corp.io", "telemetry.acme-corp.io" ], "apps": [ "payment-service", "auth-gateway" ], "active": true, "indexonly": false, "query": "level:DEBUG AND service:payment-service", "id": "excl-12345" } ``` **SDK Code** ```python import requests url = "https://api.mezmo.com/v1/config/ingestion/exclusions/id" payload = { "title": "Exclude debug logs from payment-service" } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mezmo.com/v1/config/ingestion/exclusions/id'; const options = { method: 'PATCH', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"title":"Exclude debug logs from payment-service"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.mezmo.com/v1/config/ingestion/exclusions/id" payload := strings.NewReader("{\n \"title\": \"Exclude debug logs from payment-service\"\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mezmo.com/v1/config/ingestion/exclusions/id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"title\": \"Exclude debug logs from payment-service\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://api.mezmo.com/v1/config/ingestion/exclusions/id") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"title\": \"Exclude debug logs from payment-service\"\n}") .asString(); ``` ```php request('PATCH', 'https://api.mezmo.com/v1/config/ingestion/exclusions/id', [ 'body' => '{ "title": "Exclude debug logs from payment-service" }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mezmo.com/v1/config/ingestion/exclusions/id"); var request = new RestRequest(Method.PATCH); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"title\": \"Exclude debug logs from payment-service\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = ["title": "Exclude debug logs from payment-service"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.mezmo.com/v1/config/ingestion/exclusions/id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```